Mailinglist Archive: opensuse-packaging (83 mails)

< Previous Next >
Re: [opensuse-packaging] Automatically install a specific package for build
  • From: Magnus Boman <captain.magnus@xxxxxxxxx>
  • Date: Sun, 26 Oct 2008 07:17:45 +0900
  • Message-id: <1224973065.3655.3.camel@xxxxxxxxxxxxxxx>
Christian,

On Sat, 2008-10-25 at 15:07 -0300, Cristian Rodríguez wrote:
Magnus Boman escribió:
Hello,

Trying to build the latest GNOME for openSUSE 11.0. A fair amount of
those packages (~150) seem to require pcre-devel to be able to build
(which is not the case on Factory).

What is the error message ? lack of "la" files maybe ?

No, when I get an error about missing .la files, I add a condition to
only remove them for openSUSE > 11.0


Is there an easy way to tell OBS to automatically install this package
during build for a specific project?

osc meta -e prjconf your:project

add

Support: pcre-devel

But try to fix the real bug instead, it most likely dont need to fix 150
packages ;-) most likely your problem is about glib2-devel dependencies
that were corrected a while ago.

Yeah, Marcus was correct. I added pcre-devel to the main section of gtk2
only, not to the -devel section.

Cheers,
Magnus

--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups